org.richfaces.component

## Class AbstractNotifyMessage

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessage
      - - org.richfaces.component.AbstractNotifyMessage

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxOutput, AjaxOutputProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, I18nProps, OutputFormatProps, ClientSideMessage, NotifyAttributes
  Direct Known Subclasses:
    HtmlNotifyMessage

      public abstract class AbstractNotifyMessage
      extends javax.faces.component.UIMessage
      implements AjaxOutput, ClientSideMessage, NotifyAttributes, AjaxOutputProps, CoreProps, I18nProps, OutputFormatProps

  The <rich:notifyMessage> component is built on top of <rich:notify>, the difference is in usage. The <rich:notifyMessage> component displays FacesMessages associated with a given component, similar to <rich:message>: one notification is displayed for first FacesMessage in the stack that is risen either programatically or during conversion/validation of the component. The severity of the message determines the color and icon of the resulting notification.

  Author:
    Lukas Fryc, Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIMessage

      `COMPONENT_FAMILY, COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNotifyMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `abstract boolean` | `isKeepTransient()` getter for keep transient property.
    `void` | `updateMessages(javax.faces.context.FacesContext context, String clientId)`

    - ### Methods inherited from class javax.faces.component.UIMessage

      `getFamily, getFor, isRedisplay, isShowDetail, isShowSummary, setFor, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxOutput

      `isAjaxRendered, setAjaxRendered, setKeepTransient`

    - ### Methods inherited from interface org.richfaces.component.ClientSideMessage

      `getFor`

    - ### Methods inherited from interface org.richfaces.component.NotifyAttributes

      `getNonblockingOpacity, getStack, getStayTime, getStyleClass, isNonblocking, isShowCloseButton, isShowShadow, isSticky, setNonblocking, setNonblockingOpacity, setShowCloseButton, setShowShadow, setStack, setStayTime, setSticky, setStyleClass`

    - ### Methods inherited from interface org.richfaces.component.attribute.AjaxOutputProps

      `isAjaxRendered`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.I18nProps

      `getDir, getLang`

    - ### Methods inherited from interface org.richfaces.component.attribute.OutputFormatProps

      `isEscape`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

- - ### Constructor Detail

    - #### AbstractNotifyMessage

          public AbstractNotifyMessage()

  - ### Method Detail

    - #### isKeepTransient

          public abstract boolean isKeepTransient()

      Description copied from interface: `AjaxOutput`
      getter for keep transient property.
      Specified by:
        `isKeepTransient` in interface `AjaxOutput`
      Specified by:
        `isKeepTransient` in interface `AjaxOutputProps`
      Returns:
        keep transient property

    - #### isDisabled

          public abstract boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### updateMessages

          public void updateMessages(javax.faces.context.FacesContext context,
                            String clientId)

      Specified by:
        `updateMessages` in interface `ClientSideMessage`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.